xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
xmltooling::TemplateEngine::TemplateParameters Class Reference

Interface to parameters to plug into templates. More...

`#include <xmltooling/util/TemplateEngine.h>`

## Public Member Functions
virtual const char * | getParameter (const char *name) const
| Returns the value of a parameter to plug into the template. More...
virtual const std::multimap< std::string, std::string > * | getLoopCollection (const char *name) const
| Returns a named collection of sub-parameters to pass into a loop. More...

## Public Attributes
std::map< std::string, std::string > | m_map
| Map of known parameters to supply to template. More...
std::map< std::string, std::multimap< std::string, std::string > > | m_collectionMap
| Map of sub-collections used in for loops. More...
const GenericRequest * | m_request
| Request from client that resulted in template being processed. More...

## Detailed Description

Interface to parameters to plug into templates.

Allows callers to supply a more dynamic lookup mechanism to supplement a basic map.

## Member Function Documentation

virtual const std::multimap<std::string,std::string>* xmltooling::TemplateEngine::TemplateParameters::getLoopCollection | ( | const char * | name | ) | const
| virtual

Returns a named collection of sub-parameters to pass into a loop.

Parameters

  name | name of sub-collection

Returns
  pointer to a multimap of sub-parameters, or nullptr

virtual const char* xmltooling::TemplateEngine::TemplateParameters::getParameter | ( | const char * | name | ) | const
| virtual

Returns the value of a parameter to plug into the template.

Parameters

  name | name of parameter

Returns
  value of parameter, or nullptr

## Member Data Documentation

std::map< std::string,std::multimap<std::string,std::string> > xmltooling::TemplateEngine::TemplateParameters::m_collectionMap

Map of sub-collections used in for loops.

std::map<std::string,std::string> xmltooling::TemplateEngine::TemplateParameters::m_map

Map of known parameters to supply to template.

const GenericRequest* xmltooling::TemplateEngine::TemplateParameters::m_request

Request from client that resulted in template being processed.

The documentation for this class was generated from the following file:

- xmltooling/util/TemplateEngine.h